Page MenuHomePhabricator

Adjust Notification Preferences page language to match re-categorization
Closed, ResolvedPublic

Description

In the wake of the changes made to Notification categories in T133220, we need to adjust a few minor language issues on the Notification Preferences page:

  • Change the "Flow" category name to "Flow Discussion"
  • Change the tooltip for the Flow category to read: "Notify me about activity in topics or on pages I'm following."

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2016, 9:15 PM
Catrope added a subscriber: Catrope.Nov 1 2016, 8:40 PM

The "User Rights" category wasn't absorbed into the System category. Only flow-enabled-on-talkpage was moved to System, user-rights wasn't. It would also be wrong to put that in System, because it can be triggered by other users and arbitrary number of times.

I agree with your change to the Flow tooltip, but not with the change to the category name: this category contains only Flow-related notifications, and doesn't contain other discussion-related notifications like mentions.

I second @Catrope's opinion.

OK, we've reinstated User Rights, so I dropped the note above to eliminate it. (I updated the spreadsheet to show that as well).

Of the proposal to rename the "Discussion" category, @Catrope writes:

this category contains only Flow-related notifications, and doesn't contain other discussion-related notifications like mentions.

Yes, but

  1. No other category is named for the internal project name/technology that powers it. It would be preferable to find a name that speaks to the function of these. Flow, like "Echo," doesn't seem like the kind of thing general users should have to concern themselves with. If it seems important to reference the technology, we could call it something like "Discussion (Flow required)" or (Flow only).
  2. Your logic about this category not containing "other discussion-related notifications, like mentions" would equally bar the name "Flow," since this does not contain all Flow-related items. ;-) But more to the point, everything in this category is related to Discussion. If there are other, more specific categories that also touch on Discussion (Mentions, Talk Page Msgs), that doesn't bother me too much.

If we don't want to use Discussion or Flow, does anyone have another suggestion?

I agree with the general de-branding sentiment (your point #1). Flow isn't really de-branded at this point yet. Maybe we can choose something like "Flow discussions"? Other ideas/suggestions?

Re #2, good point, just because there are more specific subsets doesn't mean we can't use the name.

Use Flow as a brand is really useful: you don't need to find a way to translate "Flow". (In French we tried. And we are still trying.)

"Flow discussion" works for me.

"Flow discussion" works for me.

what about "Discussion (Flow)"? If that doesn't work, we can go with Flow discussion.

"Flow discussion" works for me.

what about "Discussion (Flow)"? If that doesn't work, we can go with Flow discussion.

Either works for me.

"Flow discussion" works for me.

what about "Discussion (Flow)"? If that doesn't work, we can go with Flow discussion.

There is no Discussion, so have "Discussion (Flow)" may be confusing.
I think "Flow discussion" is the best we have.

Is "Flow discussion" the consensus?

Yes, "Flow discussion."

SBisson updated the task description. (Show Details)Jan 20 2017, 5:28 PM

Change 333278 had a related patch set uploaded (by Sbisson):
Rephrase Flow notifications preference

https://gerrit.wikimedia.org/r/333278

Last minute item for the newsletter :)

Messages that have to be changed ton translate wiki are echo-category-title-flow-discussion and echo-pref-tooltip-flow-discussion.

Last minute item for the newsletter :)

Messages that have to be changed ton translate wiki are echo-category-title-flow-discussion and echo-pref-tooltip-flow-discussion.

Let's wait for this to be merged so we know when it's going out.

When will it be merged? We have an opportunity to have those messages
updated quickly. If that's not merged on Monday, I'll remove that item from
the newsletter.

When will it be merged? We have an opportunity to have those messages
updated quickly. If that's not merged on Monday, I'll remove that item from
the newsletter.

Removed. I'll announce that next month.

Change 333278 merged by jenkins-bot:
Rephrase Flow notifications preference

https://gerrit.wikimedia.org/r/333278

Checked in betalabs and mediawiki (wmf.9)

@SBisson: is the tag WMF-deploy-2017-01-31_(1.29.0-wmf.10) correct?

Aslo, dewiki (wmf.8 displays) the text which is very close to the update that introduced in this ticket. Or the lang wiki translation is outside of the scope?

Or the lang wiki translation is outside of the scope?

Do you have an issue with the translation? Is that usually in our purview?

Or the lang wiki translation is outside of the scope?

Do you have an issue with the translation? Is that usually in our purview?

There is two ways to deal with translations:

@SBisson: is the tag WMF-deploy-2017-01-31_(1.29.0-wmf.10) correct?

I believe it's correct. It seem to have been merged early enough to make the cut.

Aslo, dewiki (wmf.8 displays) the text which is very close to the update that introduced in this ticket. Or the lang wiki translation is outside of the scope?

Out of scope by default. Very unusual for us to change translation. This change will cause the affected keys to be marked as "fuzzy" and translators will reevaluate them. Maybe we can give them a few days before we jump in. Do you have a personal translatewiki.net account?

It appears to have been updated on translatewiki.net for several languages including german. See https://gerrit.wikimedia.org/r/#/c/334079

My concern was that dewikimay may have unwanted changes imposed on them, but I knew that it totally out of scope of this ticket.
thx, @Trizek-WMF and @SBisson for explanation.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Jan 25 2017, 7:34 PM